Bug 1119388 - Unable to cleanup
Summary: Unable to cleanup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-installer
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Simone Tiraboschi
QA Contact: Petr Beňas
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 16:40 UTC by Petr Beňas
Modified: 2015-01-04 23:06 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:20:02 UTC
oVirt Team: ---


Attachments (Terms of Use)
logfile (785.82 KB, text/x-log)
2014-07-14 16:40 UTC, Petr Beňas
no flags Details

Description Petr Beňas 2014-07-14 16:40:26 UTC
Created attachment 917922 [details]
logfile

Description of problem:
[root@pb-rh35 ~]# engine-cleanup 
[ INFO  ] Stage: Initializing
[ INFO  ] Stage: Environment setup
          Configuration files: ['/etc/ovirt-engine-setup.conf.d/10-packaging-jboss.conf', '/etc/ovirt-engine-setup.conf.d/10-packaging.conf', '/etc/ovirt-engine-setup.conf.d/20-setup-ovirt-post.conf']
          Log file: /var/log/ovirt-engine/setup/ovirt-engine-remove-20140714183406-1z6r05.log
          Version: otopi-1.2.2_master (otopi-1.2.2-0.0.master.20140605.git60102c6.el6)
[ INFO  ] Stage: Environment packages setup
[ INFO  ] Stage: Programs detection
[ INFO  ] Stage: Environment customization
          Do you want to remove all components? (Yes, No) [Yes]: 
          Do you want to remove Engine database content? All data will be lost (Yes, No) [No]: Yes
[ INFO  ] Stage: Setup validation
          During execution engine service will be stopped (OK, Cancel) [OK]: 
          All the installed ovirt components are about to be removed, data will be lost (OK, Cancel) [Cancel]: OK
[ INFO  ] Stage: Transaction setup
[ INFO  ] Stopping engine service
[ INFO  ] Stopping websocket-proxy service
[ INFO  ] Stage: Misc configuration
[ INFO  ] Stage: Package installation
[ INFO  ] Stage: Misc configuration
[ INFO  ] Backing up PKI configuration and keys
[ INFO  ] Backing up database localhost:engine to '/var/lib/ovirt-engine/backups/engine-20140714183425.VIcKtO.dump'.
[ INFO  ] Clearing Engine database engine
[ ERROR ] Failed to execute stage 'Misc configuration': Command '/sbin/chkconfig' failed to execute
[ INFO  ] Stage: Clean up
          Log file is located at /var/log/ovirt-engine/setup/ovirt-engine-remove-20140714183406-1z6r05.log
[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/20140714183437-cleanup.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination
[ ERROR ] Execution of cleanup failed


Version-Release number of selected component (if applicable):
ovirt-engine-jboss-as-7.1.1-1.el6.x86_64
ovirt-engine-extensions-api-impl-3.5.0-0.0.master.20140612090854.el6.noarch
ovirt-engine-webadmin-portal-3.5.0-0.0.master.20140612090854.el6.noarch
ovirt-host-deploy-java-1.2.2-0.0.master.20140605222857.gitf0ac297.el6.noarch
ovirt-engine-cli-3.5.0.0-1.20140605.gita11d080.el6.noarch
ovirt-engine-setup-base-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch
ovirt-engine-setup-plugin-websocket-proxy-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch
ovirt-engine-lib-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch
ovirt-engine-setup-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch
ovirt-engine-websocket-proxy-3.5.0-0.0.master.20140612090854.el6.noarch
ovirt-engine-dbscripts-3.5.0-0.0.master.20140612090854.el6.noarch
ovirt-engine-userportal-3.5.0-0.0.master.20140612090854.el6.noarch
ovirt-engine-restapi-3.5.0-0.0.master.20140612090854.el6.noarch
ovirt-engine-3.5.0-0.0.master.20140612090854.el6.noarch
ovirt-engine-sdk-python-3.5.0.0-1.20140605.git1267422.el6.noarch
ovirt-host-deploy-1.2.2-0.0.master.20140605222857.gitf0ac297.el6.noarch
ovirt-log-collector-3.5.0-0.0.master.20140605.git5a48d0c.el6.noarch
ovirt-image-uploader-3.5.0-0.0.master.20140605.git83cb670.el6.noarch
ovirt-release35-001-0.0.alpha1.noarch
ovirt-engine-tools-3.5.0-0.0.master.20140612090854.el6.noarch
ovirt-engine-backend-3.5.0-0.0.master.20140612090854.el6.noarch
ovirt-iso-uploader-3.5.0-0.0.master.20140605.gite89dcdf.el6.noarch
ovirt-engine-setup-plugin-ovirt-engine-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Sandro Bonazzola 2014-07-21 14:42:05 UTC
 2014-07-14 18:34:37 DEBUG otopi.plugins.otopi.services.rhel plugin.execute:866 execute-output: ('/sbin/chkconfig', 'ovirt-fence-kdump-listener', 'off') stderr:
 error reading information on service ovirt-fence-kdump-listener: No such file or directory

 2014-07-14 18:34:37 DEBUG otopi.context context._executeMethod:152 method exception
 Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/otopi/context.py", line 142, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-engine/setup/bin/../plugins/ovirt-engine-remove/ovirt-engine/system/fence_kdump_listener.py", line 57, in _misc
    state=False,
  File "/usr/share/otopi/plugins/otopi/services/rhel.py", line 164, in startup
    'on' if state else 'off',
  File "/usr/lib/python2.6/site-packages/otopi/plugin.py", line 871, in execute
    command=args[0],
 RuntimeError: Command '/sbin/chkconfig' failed to execute
 2014-07-14 18:34:37 ERROR otopi.context context._executeMethod:161 Failed to execute stage 'Misc configuration': Command '/sbin/chkconfig' failed to execute

Comment 2 Simone Tiraboschi 2014-07-21 16:43:34 UTC
Not really able to reproduce.
Was the setup an upgrade form a previous release or a fresh install?

Comment 3 Petr Beňas 2014-07-22 07:16:47 UTC
IIRC it was alpha1 upgraded to alpha2.

Comment 4 Simone Tiraboschi 2014-07-22 08:22:21 UTC
It cannot be reproduced on beta2, probably it has been fixed/completed by new code for that.

Comment 5 Petr Beňas 2014-08-07 12:24:04 UTC
Verified by automated job in recent 3.5.

Comment 6 Sandro Bonazzola 2014-10-17 12:20:02 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.